> For the complete documentation index, see [llms.txt](https://docs.carto.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carto.com/carto-self-hosted/maintenance/maintenance-helm/monitoring.md).

# Monitoring (Helm)

{% hint style="info" %}
This documentation only applies to **advanced Orchestrated container deployments** using **Kubernetes** and **Helm**
{% endhint %}

Ensuring the health and status of your CARTO Self-Hosted deployment is crucial for a seamless user experience. Follow the instructions below to verify the status.

## **Check status**

You can check the status and health of your CARTO deployment with the following steps:

1. Open a terminal or use your preferred Kubernetes management tool.
2. Execute the following command to view the status of all pods:

   ```bash
   kubectl get pods -n <namespace>
   ```
3. Check the status column for each pod. A healthy deployment will show `Running` in the status column.
4. Check the logs of each container using the following command:

   ```bash
   kubectl logs -f <service_name> -n <namespace>
   ```
5. Additionally, be aware that CARTO Self-Hosted is designed to internally monitor the health of each container. If any container reaches an unhealthy state, the system will automatically deploy a new container to maintain system stability.

## **Enable debug mode in CARTO Self-Hosted deployment**

Debug mode in CARTO allows you to gather additional information for troubleshooting and diagnosing issues. Follow the steps below to enable the debug mode in a CARTO Self-Hosted installation.

Update your <mark style="color:orange;">customizations.yaml</mark> file and apply the changes:

<details>

<summary>CARTO SH Version 2025.1.10 or newer</summary>

```yaml
appConfigValues:
  logLevel: "debug"
```

</details>

<details>

<summary>CARTO Self-Hosted version 2024.12.10 or older</summary>

```yaml
importApi:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
      
importWorker:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
​
ldsApi:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
​
mapsApi:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
​
workspaceApi:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
      
workspaceSubscriber:
  extraEnvVars:
    - name: CARTO_TRACING_MODE
      value: "local"
```

</details>

By regularly checking the status of your CARTO deployment, you can proactively address any potential issues and ensure a reliable and robust CARTO environment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.carto.com/carto-self-hosted/maintenance/maintenance-helm/monitoring.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
